package main

import (
	"log"

	"github.com/spf13/cobra"

	"novit.tech/direktil/inits/pkg/cmd/applyconfig"
	cmddynlay "novit.tech/direktil/inits/pkg/cmd/dynlay"
	cmdinit "novit.tech/direktil/inits/pkg/cmd/init"
	cmdlogger "novit.tech/direktil/inits/pkg/cmd/logger"
)

func main() {
	root := &cobra.Command{}

	root.AddCommand(cmdinit.Command())
	root.AddCommand(cmdlogger.Command())
	root.AddCommand(cmddynlay.Command())
	root.AddCommand(applyconfig.Command())

	if err := root.Execute(); err != nil {
		log.Fatal("error: ", err)
	}
}
